# Uses of Class
org.pentaho.reporting.libraries.repository.zipreader.ZipReadRepository

Packages that use ZipReadRepository
Package
Description
org.pentaho.reporting.libraries.repository.zipreader

## Uses of ZipReadRepository in org.pentaho.reporting.libraries.repository.zipreader

Constructors in org.pentaho.reporting.libraries.repository.zipreader with parameters of type ZipReadRepository
Modifier
Constructor
Description
``
`ZipReadContentItem(ZipReadRepository repository, ZipReadContentLocation parent, ZipEntry zipEntry, byte[] bytes)`
``
`ZipReadContentLocation(ZipReadRepository repository, ZipReadContentLocation parent, String entryName)`
``
`ZipReadContentLocation(ZipReadRepository repository, ZipReadContentLocation parent, ZipEntry zipEntry)`